Bug 805246 - please update mygui to new version 3.2
please update mygui to new version 3.2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mygui (Show other bugs)
18
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
:
Depends On:
Blocks: rigsofrods
  Show dependency treegraph
 
Reported: 2012-03-20 13:47 EDT by Kenny Armstrong
Modified: 2013-04-07 12:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-07 12:11:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenny Armstrong 2012-03-20 13:47:34 EDT
Description of problem:
mygui version in Fedora repo is over a year old, please update to new 3.2 version

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bruno Wolff III 2012-04-01 23:27:56 EDT
I should have this done in rawhide tonight, but maybe not before the compose for tomorrow. Ogre is also getting updated to 1.7.4.

Assuming this stuff goes well, I do the update in f17 soon.

f16 is more iffy. Unless there is some concrete benefit, I don't want to do a soname bump there.
Comment 2 Bruno Wolff III 2012-04-04 22:45:20 EDT
I have had a set back. 3.2 isn't building. I think it is because some function implementations are getting inlined and aren't available to other parts of the package compiled separately.

For now I am going to try to make sure 3.0 rebuilds with ogre 1.7.4.

I'd still like to get the updated version in to f17 before release, but I may not end up having enough time to do it, as I have some other packages that need updating as well.
Comment 3 Fedora End Of Life 2013-01-16 07:25:37 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bruno Wolff III 2013-04-07 12:11:17 EDT
MyGUI 3.2 is in F19 and won't get backported to F18. There is still a problem with the packaging of 3.2 libraries.

Note You need to log in before you can comment on or make changes to this bug.